> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Onboarding Response



## OpenAPI

````yaml /openapi.json get /v1/me/onboarding-response
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/me/onboarding-response:
    get:
      tags:
        - Me
      summary: Get My Onboarding Response
      operationId: get_my_onboarding_response_v1_me_onboarding_response_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MyOnboardingResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    MyOnboardingResponse:
      properties:
        is_sso_user:
          title: Is Sso User
          type: boolean
        response:
          anyOf:
            - $ref: '#/components/schemas/OnboardingResponseItem'
            - type: 'null'
      required:
        - is_sso_user
      title: MyOnboardingResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OnboardingResponseItem:
      properties:
        acquisition_other_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Acquisition Other Text
        acquisition_referral_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Acquisition Referral Code
        acquisition_sources:
          items:
            type: string
          title: Acquisition Sources
          type: array
        acquisition_status:
          enum:
            - pending
            - completed
            - skipped
          title: Acquisition Status
          type: string
        admin_unseen:
          default: false
          title: Admin Unseen
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        first_project_status:
          enum:
            - pending
            - completed
            - skipped
          title: First Project Status
          type: string
        sso_credentials_status:
          enum:
            - pending
            - completed
            - skipped
            - not_applicable
          title: Sso Credentials Status
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        user_id:
          format: uuid
          title: User Id
          type: string
      required:
        - user_id
        - sso_credentials_status
        - acquisition_status
        - first_project_status
        - created_at
        - updated_at
      title: OnboardingResponseItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````